// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package base

// HTTPError http请求出错时的数据结构
type HTTPError struct {
	Code    int    `json:"code" example:"500" format:"int"`
	Message string `json:"message" example:"status bad request"`
}

type Header struct {
	UserId  int64  `header:"user_id" binding:"gte=0"` // 用户id
	Token string `header:"Token"`               // token
}

type Result struct {
	Code    int    `json:"code" default:"0" format:"int"` // 返回码
	Message string `json:"message" default:"success"`     // 消息
}

type Empty struct {
}
