// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package v1

import (
	"smart-enterprise-management-gateway/param/base"
	"smart-enterprise-management-gateway/pb/v1"
)

type DeviceTypeListQuery struct {
	Page int32 `form:"page"`
	Filter string `form:"filter"`
	// 0 待对接测试 1 测试通过 2对接测试未通过 3. 审核通过 3 审核未通过
	StatusFilters string `form:"status_filters"`
}

type DeviceTypeListRequest struct {
	base.Header
	DeviceTypeListQuery
}

type DeviceTypeListResponse struct {
	base.Result
	Data v1.DeviceTypeListReply `json:"data"`
}

type DeviceListQuery struct {
	Page int32 `form:"page"`
	Filter string `form:"filter"`
	// 审核状态 0 待审核 1 通过 2 未通过
	FilterStatus string `form:"filter_status"`
}

type DeviceListRequest struct {
	base.Header
	DeviceListQuery
}

type DeviceListResponse struct {
	base.Result
	Data v1.DeviceListReply `json:"data"`
}


type ChannelListQuery struct {
	Sn string `form:"sn"`
	Page int32 `form:"page"`
	ChannelNo string `form:"channel_no"`
}

type ChannelListRequest struct {
	base.Header
	ChannelListQuery
}

type ChannelListResponse struct {
	base.Result
	Data v1.ChannelListReply `json:"data"`
}

type VedioListQuery struct {
	// 审核状态 0 待审核 1 通过 2 未通过
	FilterStatus string `form:"filter_status"`
	ProjectId int64 `form:"project_id"`
	Filter string `form:"filter"`
	Page int32 `form:"page"`
}

type VedioListRequest struct {
	base.Header
	VedioListQuery
}

type VedioListResponse struct {
	base.Result
	Data v1.VedioListReply `json:"data"`
}

type DeviceAllTypeListResponse struct {
	base.Result
	Data v1.DeviceAllTypeListReply `json:"data"`
}